/* Block > Carousel > Main */
.block-carousel-main .card-bg {height:1000px;border-radius:0 0 25px 25px;}
.block-carousel-main .card-overlay::before {display:none;}
.block-carousel-main .card-overlay .card-body {padding:0 var(--section-padding-x);}

/* Block > Carousel > Gallery */
.block-carousel-gallery {overflow:hidden;}
.block-carousel-gallery .carousel-container {overflow:visible;}
.block-carousel-gallery .carousel-container .swiper-pagination {bottom:-50px;}
.block-carousel-gallery .card-bg {height:250px;border-radius:20px;}
.block-carousel-gallery .card-bg img {transition:transform .3s ease-in-out;}
.block-carousel-gallery .card.is-video .card-bg::after {content:"";position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);width:50px;height:50px;background-repeat:no-repeat;background-position:center center;background-size:contain;background-image:url(/wp-content/themes/ocean/assets/icons/icon-play.svg); }
.block-carousel-gallery.background-contain .card .card-bg {background-size:contain !important;}
.block-carousel-gallery a:hover .card-bg img {transform:scale(1.1);}

/* Block > Carousel > Video/Image */
.block-carousel-video-and-image .card-bg {height:250px;}
.block-carousel-video-and-image .card.is-video .card-bg::after {content:"";position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);width:50px;height:50px;background-repeat:no-repeat;background-position:center center;background-size:contain;background-image:url(/wp-content/themes/ocean/assets/icons/icon-play.svg); }
.block-carousel-video-and-image.background-contain .card .card-bg {background-size:contain !important;}

/* Block > Carousel > Taxonomy */
.block-carousel-taxonomy .card-bg {height:350px;}
.block-carousel-taxonomy .card-body {padding:30px;}

/* Block > Carousel > Post type */
.block-carousel-post-type .section-title {margin-bottom:50px;}
.block-carousel-post-type .btn-bottom {margin-top:85px;}

/* Block > Carousel > Slider */
.block-carousel-slider .swiper-wrapper {-webkit-transition-timing-function:linear;-o-transition-timing-function:linear;transition-timing-function:linear;margin: 0 auto;}
.block-carousel-slider .swiper-slide {width:auto;}
.block-carousel-slider .slide-content {display:flex;align-items:center;}
.block-carousel-slider .slide-separator {width:10px;height:10px;border-radius:100%;background-color:var(--color-primary);display:block;margin-right:15px;}
.block-carousel-slider .text-label {font-size:20px;}

/* Block > Carousel > Reviews */
.block-carousel-reviews {overflow:hidden;}
.block-carousel-reviews .carousel-container {overflow:visible;padding-bottom:60px;}
.block-carousel-reviews .carousel-container .swiper-slide {height:auto;}
.block-carousel-reviews .swiper-pagination .swiper-pagination-bullet {border:1px solid var(--color-black);background-color:transparent;}
.block-carousel-reviews .swiper-pagination .swiper-pagination-bullet-active {background-color:var(--color-black);}
.block-carousel-reviews .carousel-container .card {min-height:100%;background-color:var(--color-white);}

/* Block > Carousel > Timeline */
.block-carousel-timeline .content-container {padding:70px;border-radius:40px;background:linear-gradient(45deg, rgba(var(--color-primary-rgb),0) 0%,rgba(var(--color-primary-rgb),0) 5%,rgba(var(--color-primary-rgb),0.15) 100%);background-color:var(--color-grey-light);overflow:hidden;}
.block-carousel-timeline .carousel-container {overflow:visible;}
.block-carousel-timeline .swiper-slide {height:auto;}
.block-carousel-timeline .timeline-event {text-align:center;font-size:20px;line-height:1.2;font-weight:400;}
.block-carousel-timeline .timeline-year {font-size:34px;font-weight:600;}
.block-carousel-timeline .timeline-image-container {width:100%;padding:0 10px;margin-bottom:10px;}
.block-carousel-timeline .timeline-image {border-radius:30px;height:220px;width:100%;object-position:center center;object-fit:cover;}
.block-carousel-timeline .timeline-title {padding:0 10px;color:var(--color-primary);font-size:28px;line-height:1.2;font-weight:600;margin-bottom:10px;}
.block-carousel-timeline .timeline-description {padding:0 10px;}
.block-carousel-timeline.timeline-spaced .timeline-description {padding:0 20px;}
.block-carousel-timeline .timeline-dot {height:20px;width:100%;margin:20px 0;position:relative;}
.block-carousel-timeline .timeline-dot::before {content:"";position:absolute;top:50%;left:0;right:0;height:4px;transform:translateY(-50%);background-color:#7E7E7E;opacity:.2;}
.block-carousel-timeline .swiper-slide:first-child .timeline-dot::before {right:50%;}
.block-carousel-timeline .swiper-slide:last-child .timeline-dot::before {left:50%;}
.block-carousel-timeline [dir="ltr"] .swiper-slide:first-child .timeline-dot::before {right:0;left:50%;}
.block-carousel-timeline [dir="ltr"] .swiper-slide:last-child .timeline-dot::before {left:0;right:50%;}
.block-carousel-timeline .timeline-dot::after {content:"";position:absolute;top:0;left:50%;transform:translateX(-50%);height:100%;aspect-ratio:1;border-radius:100%;background-color:var(--color-primary);}

/* Block > 2 Columns */
.block-2-columns .row {--bs-gutter-y:30px;}
.block-2-columns .row .row {--bs-gutter-y:0;}

/* Block > 2 Columns > Text + Image */
.block-2-columns-text-and-image .row {--bs-gutter-x:80px;}
.block-2-columns-text-and-image .img-fluid {border-radius:40px;}
.block-2-columns-text-and-image.has-list-link .text ul {padding:0;list-style:none;font-size:34px;font-weight:600;}
.block-2-columns-text-and-image.has-list-link .text ul a {color:#ADADAD;display:inline-flex;align-items:center;}
.block-2-columns-text-and-image.has-list-link .text ul a:hover, .block-2-columns-text-and-image.has-list-link .text ul a:focus {color:var(--color-black);}
.block-2-columns-text-and-image.has-list-link .text ul a::after {content:"";display:block;width:30px;height:30px;flex-shrink:0;margin-left:20px;background-repeat:no-repeat;background-position:center center;background-size:contain;background-image:url(/wp-content/themes/ocean/assets/icons/icon-arrow-right-grey.svg);transition:background-image .3s ease-in-out;}
.block-2-columns-text-and-image.has-list-link .text ul a:hover::after, .block-2-columns-text-and-image.has-list-link .text ul a:focus::after {background-image:url(/wp-content/themes/ocean/assets/icons/icon-arrow-right-black.svg);}

/* Block > 2 Columns > Text + Image > Boxed */
.block-2-columns-text-and-image-boxed {--section-padding-x:35px;}
.block-2-columns-text-and-image-boxed .content-container {margin:0;border-radius:40px;overflow:hidden;}
.block-2-columns-text-and-image-boxed .content-container > .row {--bs-gutter-y:0px;--bs-gutter-x:0px;}
.block-2-columns-text-and-image-boxed .content-text {padding:50px 90px;}
.block-2-columns-text-and-image-boxed .section-title {margin-bottom:40px;}
.block-2-columns-text-and-image-boxed .img-fluid {height:100%;object-position:center center;object-fit:cover;}
.block-2-columns-text-and-image-boxed .has-text-small .section-title {margin-bottom:0;}

/* Section > Image/Text */
.block-2-columns-text-and-image-full-width .block-image {position:absolute;background-repeat:no-repeat;top:0;height:100%;z-index:0;width:50%;background-position:center center;}

/* Block > 2 Columns > Text + Video full width */
.block-2-columns-text-and-video-full-width {display:flex;flex-wrap:wrap;align-items:center;}
.block-2-columns-text-and-video-full-width .block-video {position:absolute;background-repeat:no-repeat;top:0;height:100%;z-index:0;width:50%;background-position:center center;}
.block-2-columns-text-and-video-full-width .block-video .wrap {height:100%;}
.block-2-columns-text-and-video-full-width .block-video .wrap video, .block-2-columns-text-and-video-full-width .block-video .wrap iframe {width:100%;height:100%;object-fit:cover;}
.block-2-columns-text-and-video-full-width .block-video.video--right {right:0;left:auto;}
.block-2-columns-text-and-video-full-width .block-video.video--left {left:0;right:auto;}

/* Block > 2 Columns > Forms */
.block-form-2-columns .wpcf7 {display:block;margin:0 auto;width:650px;max-width:100%;}

/* Block > List Taxonomy */
.block-list-taxonomy .content-container > .row {--bs-gutter-x:10px;--bs-gutter-y:0px;}
.block-list-taxonomy .card-link .card-title {max-width:162px;}
@media only screen and (min-width:1200px) {
  .block-list-taxonomy .content-container .col-lg {flex-basis:1%;transition:flex-basis .3s ease-in-out;}
  .block-list-taxonomy .content-container .col-lg:hover {flex-basis:10%;}
}
.block-list-taxonomy .content-container.has-cols-inline > .row {--bs-gutter-x:20px;--bs-gutter-y:20px;}
.block-list-taxonomy .content-container.has-cols-inline > .row > .col-12 {flex:0 0 auto;width:20%;}

/* Block > List Documents */
.block-list-documents .content-container ul > li > a {display:block;}
.block-list-documents .content-container ul > li + li > a {padding-top:10px;margin-top:10px;border-top:1px solid var(--color-grey-dark);}

/* Block > List Cards */
.block-list-cards .section-title:last-child {margin-bottom:60px;}
.block-list-cards .content-container > .row {--bs-gutter-x:15px;--bs-gutter-y:15px;}
.block-list-cards.has-cols-inline .content-container > .row {--bs-gutter-x:20px;--bs-gutter-y:20px;}
.block-list-cards.has-cols-inline .content-container > .row > .col-12 {flex:0 0 auto;width:20%;}
.block-list-cards .content-container a.d-block, .block-list-cards .card {height:100%;}

.block-list-cards.has-cards-info-small .card-info {padding:20px;align-items:flex-start;}
.block-list-cards.has-cards-info-small .card-info .card-bg {width:65px;}
.block-list-cards.has-cards-info-small .card-info .card-body {text-align:left;font-size:16px;}
.block-list-cards.has-cards-info-small .card-info .card-title {font-size:20px;}

.block-list-cards.has-cards-info-inline .card-info {flex-direction:row;}
.block-list-cards.has-cards-info-inline .card-info .card-bg {flex-shrink:0;margin:0 30px;width:65px;}
.block-list-cards.has-cards-info-inline .card-info .card-body {text-align:left;flex-grow:1;}

/* Block > List Pins */
.block-list-pins .content-container > .row {--bs-gutter-y:15px;--bs-gutter-x:15px;}

/* Block > Counter */
.block-counter .section-title:last-child {margin-bottom:60px;}
.block-counter.text-start .content-container > .row {justify-content:flex-start;}
.block-counter.text-center .content-container > .row {justify-content:center;}
.block-counter.text-end .content-container > .row {justify-content:flex-end;}
.block-counter .counter__item {text-align:center;}
.block-counter .counter-head {display:flex;align-items:flex-end;justify-content:center;gap:0;font-size:100px;line-height:1;font-weight:400;}
.block-counter .counter_text {font-size:34px;line-height:1.2;font-weight:600;color:#7E7E7E;margin-top:20px;}
.block-counter.is-counter-small .counter-head {font-size:70px;display:block;}
.block-counter.is-counter-small .counter-head > div {display:inline;}

/* Block > Google Maps */
.block-gmap {--map-height:450px;padding:0;}
.block-gmap .contact-maps {width:100%;height:var(--map-height);border:0;}
.block-gmap .map-container {height:var(--map-height);position:relative;background-color:#f1f1f1;}
.block-gmap .map-container .cookie-accept-text {position:absolute;top:50%;transform:translate(0,-50%);left:0;right:0;margin:0 auto;text-align:center;z-index:0;padding:15px;}
.block-gmap iframe {z-index:1;position:relative;}


/* 
------------------------------------------
Responsive 
------------------------------------------
*/

/* Smartphone */
@media only screen and (max-width:767px) and (min-width:320px) {

  /* Block > Carousel > Main */
  .block-carousel-main .card-bg {height:500px;border-radius:0 0 20px 20px;}

  /* Block > Carousel > Post type */
  .block-carousel-post-type .carousel-container .swiper-pagination {bottom:0;} 
  .block-carousel-post-type .card.card-news {margin-bottom:40px;}
  
  /* Block > Carousel > Timeline */
  .block-carousel-timeline .content-container {padding:30px 0;}
  .block-carousel-timeline .timeline-event {font-size:18px;}
  .block-carousel-timeline .timeline-title {font-size:20px;}

  /* Block > 2 Columns > Text + Image */
  .block-2-columns-text-and-image .row {--bs-gutter-x:0;}
  
  /* Block > 2 Columns > Text + Image > Boxed */
  .block-2-columns-text-and-image-boxed .content-text {padding:30px;}
  .block-2-columns-text-and-image-boxed {--section-padding-x:0;}

  /* Section > Image/Text */
  .block-2-columns-text-and-image-full-width .block-image {position:relative;top:unset;width:100%;height:260px;}
  
  /* Block > 2 Columns > Text + Video full width */
  .block-2-columns-text-and-video-full-width .block-video {position:relative;background-repeat:no-repeat;top:0;height:100%;z-index:0;width:100%;height:300px !important;background-position:center center;}	
  .block-2-columns-text-and-video-full-width .block-video.video--right {right:unset;left:unset;}
  .block-2-columns-text-and-video-full-width .block-video.video--left {left:unset;right:unset;}
  .block-2-columns-text-and-video-full-width .block-video .wrap video, .block-2-columns-text-and-video-full-width .block-video .wrap iframe {height:300px !important;}

  /* Block > Counter */
  .block-counter .section-title:last-child {margin-bottom:30px;}
  .block-counter .counter-head {font-size:62px;} 
  .block-counter .counter_text {font-size:28px;}
  .block-counter.is-counter-small .counter-head {font-size:35px;}

  /* Block > List Cards */
  .block-list-cards .section-title:last-child {margin-bottom:30px;}
  .block-list-cards.has-cols-inline .content-container > .row > .col-12 {width: 100%;}

  .block-list-cards.has-cards-info-inline .card-info {flex-direction:column;align-items:flex-start;}
  .block-list-cards.has-cards-info-inline .card-info .card-bg {margin:0;}

  /* Block > List Taxonomy */
  .block-list-taxonomy .content-container > .row {--bs-gutter-y:10px;}
  .block-list-taxonomy .content-container.has-cols-inline > .row {--bs-gutter-y:10px;}
  .block-list-taxonomy .content-container.has-cols-inline > .row > .col-12 {width:100%;}
}

/* Smartphone Landscape 
@media only screen and (min-width:480px) and (max-width:767px){
}
*/

/* Tablet */
@media only screen and (min-width:768px) and (max-width:991px) {

  /* Block > Carousel > Main */
  .block-carousel-main .card-bg {height:500px;border-radius:0 0 20px 20px;}

  /* Block > Carousel > Post type */
  .block-carousel-post-type .carousel-container .swiper-pagination {bottom:0;} 
  .block-carousel-post-type .card.card-news {margin-bottom:40px;}
  
  /* Block > Carousel > Timeline */
  .block-carousel-timeline .content-container {padding:30px 0;}
  .block-carousel-timeline .timeline-event {font-size:18px;}
  .block-carousel-timeline .timeline-title {font-size:23px;}

  /* Block > 2 Columns > Text + Image */
  .block-2-columns-text-and-image .row {--bs-gutter-x:0;}
  
  /* Block > 2 Columns > Text + Image > Boxed */
  .block-2-columns-text-and-image-boxed .content-text {padding:30px;}
  .block-2-columns-text-and-image-boxed {--section-padding-x:0;}

  /* Block > 2 Columns > Text + Video full width */
  .block-2-columns-text-and-video-full-width .block-video {position:relative;background-repeat:no-repeat;top:0;height:100%;z-index:0;width:100%;height:400px !important;background-position:center center;}	
  .block-2-columns-text-and-video-full-width .block-video.video--right {right:unset;left:unset;}
  .block-2-columns-text-and-video-full-width .block-video.video--left {left:unset;right:unset;}
  .block-2-columns-text-and-video-full-width .block-video .wrap video, .block-2-columns-text-and-video-full-width .block-video .wrap iframe {height:400px!important;}
  
  /* Block > List Cards */
  .block-list-cards.has-cols-inline .content-container > .row > .col-12 {width:100%;}

  /* Block > List Taxonomy */
  .block-list-taxonomy .content-container > .row {--bs-gutter-y:10px;}
  .block-list-taxonomy .content-container > .row > .col-12 {width:50%;}
  .block-list-taxonomy .content-container.has-cols-inline > .row {--bs-gutter-y:10px;--bs-gutter-x:10px;}
  .block-list-taxonomy .content-container.has-cols-inline > .row > .col-12 {width:50%;}

  /* Block > Counter */
  .block-counter.is-counter-small .counter-head {font-size:50px;}
  .block-counter.is-counter-small .counter_text {font-size:25px;}

}

/* Tablet Landscape */
@media only screen and (min-width:992px) and (max-width:1199px) {

  /* Block > Carousel > Main */
  .block-carousel-main .card-bg {height:700px;border-radius:0 0 20px 20px;}

  /* Block > Carousel > Timeline */
  .block-carousel-timeline .content-container {padding:50px;border-radius:30px;}
  .block-carousel-timeline .timeline-year {font-size:30px;}
  .block-carousel-timeline .timeline-title {font-size:25px;}
  .block-carousel-timeline .timeline-event {font-size:18px;}

  /* Block > 2 Columns > Text + Image */
  .block-2-columns-text-and-image .text ul {font-size:30px;}

  /* Block > 2 Columns > Text + Image > Boxed */
  .block-2-columns-text-and-image-boxed .content-text {padding:30px 50px;}

  /* Block > List Taxonomy */
  .block-list-taxonomy .card-link .card-title {max-width:154px;}
  .block-list-taxonomy .content-container.has-cols-inline > .row > .col-12 {width:25%;}

  /* Block > List Cards */
  .block-list-cards .section-title:last-child {margin-bottom:40px;}

  /* Block > Counter */
  .block-counter .section-title:last-child {margin-bottom:40px;}
  .block-counter .counter-head {font-size:70px;}
  .block-counter .counter_text {font-size:25px;margin-top:15px;}
  .block-counter.is-counter-small .counter-head {font-size:50px;}

}

/* Laptop 13' - 1366x768 Non-Retina */
@media only screen and (min-width:1200px) and (max-width:1366px) {

  /* Block > Carousel > Main */
  .block-carousel-main .card-bg {height:850px;border-radius:0 0 20px 20px;}

  /* Block > Carousel > Timeline */
  .block-carousel-timeline .content-container {padding:50px;border-radius:30px;}
  .block-carousel-timeline .timeline-year {font-size:30px;}
  .block-carousel-timeline .timeline-event {font-size:18px;}

  /* Block > 2 Columns > Text + Image */
  .block-2-columns-text-and-image .text ul {font-size:30px;}

  /* Block > 2 Columns > Text + Image > Boxed */
  .block-2-columns-text-and-image-boxed .content-text {padding:30px 50px;}

  /* Block > List Taxonomy */
  .block-list-taxonomy .card-link .card-title {max-width:154px;}

  /* Block > Counter */
  .block-counter .counter-head {font-size:80px;}
  .block-counter .counter_text {font-size:28px;margin-top:15px;}
  .block-counter.is-counter-small .counter-head {font-size:55px;}

}

/* Laptop 4:3 - 1440x1080 */
@media only screen and (min-width:1367px) and (max-width:1440px) {

  /* Block > Carousel > Main */
  .block-carousel-main .card-bg {height:900px;}

}